﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для AdminPage.xaml
    /// </summary>
    public partial class AdminPage : Page
    {
        public AdminPage(Staff admin)
        {
            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            StaffList.ItemsSource = null;
            if (SortStaffCB.SelectedItem == activeS)
            {
                StaffList.ItemsSource = DataBase.db.Staff.Where(item => item.Id_PersStatus == 1).ToList();
            }
            else
            {
                StaffList.ItemsSource = DataBase.db.Staff.Where(item => item.Id_PersStatus == 2).ToList();
            }
        }

        private void AddStaffBtn_Click(object sender, RoutedEventArgs e)
        {
            PChanger.MainFrame.Navigate(new StaffChangeOrAddPage(null));
            Page_Loaded(sender, e);
        }

        private void PersSelectBtn_Click(object sender, RoutedEventArgs e)
        {
            Staff staff = (sender as Button).DataContext as Staff;
            PChanger.MainFrame.Navigate(new StaffChangeOrAddPage(staff));
            Page_Loaded(sender, e);
        }

        private void ComboBox_SelectionChanged(object sender, RoutedEventArgs e)
        {
            if (StaffList != null)
            {
                Page_Loaded(sender, e);
            }
        }

        private void StaffSrchBtn_Click(object sender, RoutedEventArgs e)
        {
            var seacrhed = DataBase.db.Staff.Where(item => (item.LName + " " + item.FName + " " + item.MName + " " + item.Login + " " + item.Password).Contains(StaffSeacrhTB.Text)).ToList();
            if (SortStaffCB.SelectedItem == activeS)
            {
                StaffList.ItemsSource = seacrhed.Where(item => item.Id_PersStatus ==1).ToList() ;
            }
            else
            {
                StaffList.ItemsSource = seacrhed.Where(item => item.Id_PersStatus == 2).ToList();
            }
        }

        private void StaffSeacrhTB_TextChanged(object sender, TextChangedEventArgs e)
        {
            if(StaffSeacrhTB.Text == "")
            {
                Page_Loaded(sender, e);
            }
        }
    }
}
